-----------------------------------------------
-- Change String
-----------------------------------------------
scriptObj = getScriptObject()

function split(str, pat)
    local t = {}  -- NOTE: use {n = 0} in Lua-5.0
    local fpat = "(.-)" .. pat
    local last_end = 1
    local s, e, cap = str:find(fpat, 1)
    while s do
        if s ~= 1 or cap ~= "" then
            table.insert(t, cap)
        end
        last_end = e+1
        s, e, cap = str:find(fpat, last_end)
    end
    if last_end <= #str then
        cap = str:sub(last_end)
        table.insert(t, cap)
    end
    return t
end

-- Get Parmeter
content = scriptObj:getContent()

-- Ctrl + C
scriptObj:keyDown(17)
scriptObj:keyDown(67)
scriptObj:keyUp(67)
scriptObj:keyUp(17)

scriptObj:sleep(50)

src = scriptObj:readMultibyteClipboard()
ret = ""

if content == "zen2han" then
	ret = scriptObj:zen2han(src);
elseif content == "han2zen" then
	ret = scriptObj:han2zen(src);
elseif content == "kata2hira" then
	ret = scriptObj:kata2hira(src);
elseif content == "hira2kata" then
	ret = scriptObj:hira2kata(src);
elseif content == "upper" then
	ret = scriptObj:upper(src);
elseif content == "lower" then
	ret = scriptObj:lower(src);
end

scriptObj:writeMultibyteClipboard(ret)

-- Ctrl + V
scriptObj:keyDown(17)
scriptObj:keyDown(86)
scriptObj:keyUp(86)
scriptObj:keyUp(17)
